<template>
	<section class="hero-slider p-0 home-4">
		<div class="container">
			<div class="row">
				<div class="col-lg-3 categorie-menu-fixed">
					<sidebar_categories :slider="true" :home="0"></sidebar_categories>
				</div>
				<!-- end fixedc menu -->

				<div class="col-lg-9">
					<div v-if="sliders.length > 0" class="row">
						<div :class="addons.includes('ishopet') ? 'col-lg-9' : 'col-lg-12'">
							<VueSlickCarousel class="hero-section" :class="{ 'ishopet-hero-section' : addons.includes('ishopet') }" v-bind="slick_settings" :rtl="settings.text_direction == 'rtl'">
								<div class="hero-slide-item" v-for="(slider, i) in sliders" :key="i">
									<div class="slider__img slider_div">
										<a :href="slider.link" v-if="urlCheck(slider.link)">
											<img :src="slider.slider_bg_image" :alt="slider.link" />
										</a>
										<a href="javascript:void(0)" v-else-if="!slider.link">
											<img :src="slider.slider_bg_image" :alt="slider.link" />
										</a>
										<router-link v-else :to="slider.link"><img :src="slider.slider_bg_image" :alt="slider.link" /></router-link>
									</div>
								</div>
							</VueSlickCarousel>
						</div>
						<div :class="addons.includes('ishopet') ? 'col-lg-3' : 'col-lg-12'">
							<div class="hero-banner-section" :class="{ 'ishopet-hero-banner' : addons.includes('ishopet') }">
								<div class="banner__items">
									<div class="banner__item" v-for="(banner, index) in banners" :key="'banner' + index">
										<div class="banner-img">
											<a :href="banner.link" v-if="urlCheck(banner.link)">
												<img :src="banner.image" :alt="banner.link" />
											</a>
											<router-link v-else :to="banner.link"><img :src="banner.image" :alt="banner.link" /></router-link>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!-- /.hero-banner-section -->
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-3">
					<div class="features_box">
						<span class="feature_svg">
							<svg width="45" height="50" viewBox="0 0 106 72" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path d="M21.2793 56.3711C17.1997 56.3711 13.8918 59.8687 13.8918 64.1856C13.8918 68.5008 17.1997 72 21.2793 72C25.357 72 28.6629 68.5008 28.6629 64.1856C28.6629 59.8685 25.357 56.3711 21.2793 56.3711Z" fill="#670F1F"/>
								<path d="M103.806 50.4024H40.8796C39.6674 50.4024 38.6854 49.3634 38.6854 48.0828V13.4303C38.6854 12.1479 37.7033 11.109 36.4911 11.109H16.5029C15.8518 11.109 15.2356 11.4143 14.8189 11.9433L0.508469 30.1127C0.179289 30.5279 0 31.0548 0 31.5961V55.8681C0 57.1486 0.983813 58.1874 2.19246 58.1874H13.2225C15.0089 55.5096 17.9494 53.7517 21.2793 53.7517C24.6055 53.7517 27.5476 55.5096 29.334 58.1874H74.3464C76.1328 55.5096 79.0723 53.7517 82.404 53.7517C85.7321 53.7517 88.6725 55.5096 90.4571 58.1874H103.806C105.02 58.1874 106 57.1486 106 55.8681V52.7253C106 51.4433 105.02 50.4024 103.806 50.4024ZM8.01087 33.4419V31.836C8.01087 31.2872 8.19202 30.7549 8.51727 30.3287L17.6548 18.4239C18.0846 17.8643 18.7283 17.5406 19.4084 17.5406H28.3593C29.6102 17.5406 30.6232 18.6105 30.6232 19.9312V33.4419C30.6232 34.7626 29.6102 35.8327 28.3593 35.8327H10.2729C9.02221 35.8327 8.01087 34.7626 8.01087 33.4419Z" fill="#670F1F"/>
								<path d="M82.404 56.3711C78.3226 56.3711 75.0157 59.8687 75.0157 64.1856C75.0157 68.5008 78.3226 72 82.404 72C86.4817 72 89.7878 68.5008 89.7878 64.1856C89.7878 59.8685 86.4815 56.3711 82.404 56.3711Z" fill="#670F1F"/>
								<path d="M68.7325 18.8905H66.2218C66.1378 18.8905 66.0976 18.9361 66.0976 19.0239V22.4975C66.0976 22.5873 66.1378 22.6329 66.2218 22.6329H68.7325C69.9029 22.6329 70.6581 21.8993 70.6581 20.7708C70.6581 19.6183 69.9029 18.8905 68.7325 18.8905Z" fill="#670F1F"/>
								<path d="M103.37 0H44.4125C42.9588 0 41.783 1.24552 41.783 2.78596V44.3477C41.783 45.8842 42.9588 47.13 44.4125 47.13H103.37C104.822 47.13 106 45.8842 106 44.3477V2.78596C106 1.24573 104.822 0 103.37 0ZM54.5631 18.8905C54.4788 18.8905 54.4387 18.9361 54.4387 19.0239V22.1885C54.4387 22.2763 54.4788 22.322 54.5631 22.322H58.5805C59.4784 22.322 60.003 22.8982 60.003 23.7159C60.003 24.5354 59.4784 25.1115 58.5805 25.1115H54.5631C54.4788 25.1115 54.4387 25.1554 54.4387 25.2416V29.5365C54.4387 30.5811 53.7896 31.2633 52.9099 31.2633C52.012 31.2633 51.363 30.5811 51.363 29.5365V17.5203C51.363 16.6532 51.864 16.0789 52.7015 16.0789H59.6043C60.4637 16.0789 61.0289 16.6789 61.0289 17.4965C61.0289 18.2922 60.4637 18.8905 59.6043 18.8905H54.5631ZM71.3895 24.8224L73.4611 28.8065C73.6056 29.0956 73.6698 29.4064 73.6698 29.7156C73.6698 30.5571 73.1265 31.2631 72.205 31.2631C71.5779 31.2631 71.055 30.9541 70.6983 30.2463L68.3139 25.3988H66.222C66.138 25.3988 66.0978 25.4427 66.0978 25.5286V29.5365C66.0978 30.5811 65.467 31.2633 64.571 31.2633C63.6694 31.2633 63.022 30.5811 63.022 29.5365V17.5203C63.022 16.6532 63.523 16.0789 64.3606 16.0789H68.8791C71.8084 16.0789 73.7321 18.0031 73.7321 20.7487C73.7321 22.5873 72.8543 24.0489 71.3895 24.8224ZM84.324 18.8905H79.2807C79.1967 18.8905 79.1563 18.9361 79.1563 19.0239V22.0128C79.1563 22.1025 79.1967 22.1448 79.2807 22.1448H83.3183C84.1777 22.1448 84.7226 22.7209 84.7226 23.5386C84.7226 24.3618 84.1777 24.9361 83.3183 24.9361H79.2807C79.1967 24.9361 79.1563 24.9784 79.1563 25.066V28.1866C79.1563 28.2763 79.1967 28.322 79.2807 28.322H84.324C85.1797 28.322 85.7467 28.9164 85.7467 29.7161C85.7467 30.5356 85.1797 31.1337 84.324 31.1337H77.4193C76.5846 31.1337 76.0817 30.5575 76.0817 29.6939V17.5206C76.0817 16.6534 76.5846 16.0791 77.4193 16.0791H84.324C85.1797 16.0791 85.7467 16.6791 85.7467 17.4967C85.7467 18.2922 85.1797 18.8905 84.324 18.8905ZM96.1476 18.8905H91.1078C91.0238 18.8905 90.9799 18.9361 90.9799 19.0239V22.0128C90.9799 22.1025 91.0238 22.1448 91.1078 22.1448H95.1453C96.001 22.1448 96.5459 22.7209 96.5459 23.5386C96.5459 24.3618 96.001 24.9361 95.1453 24.9361H91.1078C91.0238 24.9361 90.9799 24.9784 90.9799 25.066V28.1866C90.9799 28.2763 91.0238 28.322 91.1078 28.322H96.1476C97.0068 28.322 97.5701 28.9164 97.5701 29.7161C97.5701 30.5356 97.0068 31.1337 96.1476 31.1337H89.2464C88.4052 31.1337 87.9042 30.5575 87.9042 29.6939V17.5206C87.9042 16.6534 88.4052 16.0791 89.2464 16.0791H96.1476C97.0068 16.0791 97.5701 16.6791 97.5701 17.4967C97.5701 18.2922 97.007 18.8905 96.1476 18.8905Z" fill="#670F1F"/>
							</svg>
						</span>
						<span>
							<div class="main_title">Free Shipping & Returens</div>
							<div class="sub_title">Fore All Orders over 50,000 SY</div>
						</span>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="features_box">
						<span class="feature_svg">
							<svg width="40" height="50" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path d="M26.8905 46.5959L25.6755 48.0239L25.6757 48.024L26.8905 46.5959ZM35 26.7523L36.3118 25.4125L35 24.1282L33.6882 25.4125L35 26.7523ZM33.2315 28.4838L31.8918 29.7956L31.8918 29.7956L33.2315 28.4838ZM36.7685 28.4838L38.1082 29.7956L38.1082 29.7956L36.7685 28.4838ZM24.824 37.346L23.3096 38.4516L23.3097 38.4517L24.824 37.346ZM20.8262 40.2651L19.3119 41.3708L19.312 41.3709L20.8262 40.2651ZM25.936 25.8524L25.2793 24.0962L25.2793 24.0962L25.936 25.8524ZM36.7685 25.0207L38.0802 26.3605L39.42 25.0487L38.1082 23.709L36.7685 25.0207ZM24.2023 21.216L23.5456 19.4597L23.5456 19.4597L24.2023 21.216ZM43.1094 46.5959L44.3243 48.024L44.3244 48.0239L43.1094 46.5959ZM49.1738 40.2651L50.6881 41.3709L50.6881 41.3708L49.1738 40.2651ZM45.1762 37.346L46.6905 38.4517L46.6905 38.4516L45.1762 37.346ZM45.7976 21.216L45.1409 22.9722L45.7976 21.216ZM33.2315 25.0207L31.8918 23.709L30.58 25.0487L31.9198 26.3605L33.2315 25.0207ZM44.0641 25.8524L44.7208 24.0962L44.7208 24.0962L44.0641 25.8524ZM50.5612 8.03783C51.4575 8.55634 52.6045 8.25002 53.123 7.35365C53.6415 6.45728 53.3352 5.3103 52.4388 4.79179L50.5612 8.03783ZM5.44342 49.6932L3.76506 50.5292L3.76511 50.5293L5.44342 49.6932ZM5.8845 53.482L4.07322 52.9973L4.07321 52.9974L5.8845 53.482ZM3.91898 60.8281L5.73026 61.3128L5.73027 61.3127L3.91898 60.8281ZM9.17205 66.0811L9.65659 67.8924L9.65668 67.8923L9.17205 66.0811ZM16.518 64.1156L17.0026 65.9269L17.0027 65.9268L16.518 64.1156ZM20.3069 64.5564L21.1429 62.8781L21.1425 62.878L20.3069 64.5564ZM65.2083 17.5612C64.6898 16.6648 63.5428 16.3585 62.6464 16.877C61.7501 17.3955 61.4437 18.5424 61.9622 19.4388L65.2083 17.5612ZM27.0662 43.4957L25.4624 45.3809L28.3187 47.8108L29.9225 45.9255L27.0662 43.4957ZM33.6882 25.4125L31.9198 27.1441L34.5433 29.8236L36.3118 28.092L33.6882 25.4125ZM31.8918 29.7956C32.7101 30.6313 33.8302 31.1023 35 31.1023V27.3523C34.8386 27.3523 34.6842 27.2874 34.5712 27.172L31.8918 29.7956ZM35 31.1023C36.1698 31.1023 37.2899 30.6313 38.1082 29.7956L35.4288 27.172C35.3158 27.2874 35.1614 27.3523 35 27.3523V31.1023ZM38.0802 27.1441L36.3118 25.4125L33.6882 28.092L35.4567 29.8236L38.0802 27.1441ZM42.9338 43.4957L41.3303 41.6107L38.474 44.0405L40.0775 45.9255L42.9338 43.4957ZM36.875 48.1799V45.7049H33.125V48.1799H36.875ZM31.3128 41.3975C29.4517 39.8141 27.6458 38.0309 26.3382 36.2402L23.3097 38.4517C24.8582 40.5722 26.9056 42.5715 28.8829 44.2537L31.3128 41.3975ZM26.3383 36.2403C24.9796 34.3794 24.5 32.9762 24.5 32.0607H20.75C20.75 34.133 21.7539 36.3208 23.3096 38.4516L26.3383 36.2403ZM22.625 30.1857H17.675V33.9357H22.625V30.1857ZM15.8 32.0607C15.8 35.6613 17.4969 38.8848 19.3119 41.3708L22.3406 39.1595C20.7218 36.9424 19.55 34.5037 19.55 32.0607H15.8ZM19.312 41.3709C21.1785 43.927 23.5447 46.211 25.6755 48.0239L28.1056 45.1678C26.0909 43.4537 23.9661 41.3857 22.3405 39.1594L19.312 41.3709ZM28.3187 47.8108L31.526 44.0405L28.6697 41.6107L25.4624 45.381L28.3187 47.8108ZM24.5 32.0607C24.5 28.9959 25.8109 27.901 26.5927 27.6087L25.2793 24.0962C22.7031 25.0595 20.75 27.8147 20.75 32.0607H24.5ZM26.5927 27.6087C27.4213 27.2989 29.3907 27.2411 31.8918 29.7956L34.5713 27.1721C31.337 23.8687 27.8642 23.1297 25.2793 24.0962L26.5927 27.6087ZM34.5433 29.8236L38.0802 26.3605L35.4567 23.681L31.9198 27.1441L34.5433 29.8236ZM38.1082 23.709C33.9398 19.4517 28.4851 17.6128 23.5456 19.4597L24.859 22.9722C28.015 21.7921 31.9682 22.7982 35.4287 26.3325L38.1082 23.709ZM23.5456 19.4597C18.5567 21.3252 15.8 26.3118 15.8 32.0607H19.55C19.55 27.4513 21.697 24.1545 24.859 22.9722L23.5456 19.4597ZM44.3244 48.0239C46.4552 46.211 48.8216 43.927 50.6881 41.3709L47.6596 39.1594C46.034 41.3857 43.9091 43.4537 41.8944 45.1678L44.3244 48.0239ZM50.6881 41.3708C52.5033 38.8847 54.2 35.6613 54.2 32.0607H50.45C50.45 34.5037 49.2783 36.9424 47.6595 39.1595L50.6881 41.3708ZM52.325 30.1857H47.375V33.9357H52.325V30.1857ZM45.5 32.0607C45.5 32.9762 45.0203 34.3798 43.6619 36.2403L46.6905 38.4516C48.246 36.3211 49.25 34.133 49.25 32.0607H45.5ZM43.662 36.2402C42.3542 38.0312 40.5484 39.814 38.6872 41.3975L41.1171 44.2537C43.0944 42.5715 45.1418 40.5726 46.6905 38.4517L43.662 36.2402ZM38.474 44.0405L41.6813 47.8108L44.5376 45.381L41.3303 41.6107L38.474 44.0405ZM54.2 32.0607C54.2 26.3118 51.4433 21.3252 46.4543 19.4597L45.1409 22.9722C48.3029 24.1545 50.45 27.4512 50.45 32.0607H54.2ZM46.4543 19.4597C41.5148 17.6128 36.0602 19.4517 31.8918 23.709L34.5713 26.3325C38.0318 22.7982 41.9848 21.7921 45.1409 22.9722L46.4543 19.4597ZM31.9198 26.3605L35.4567 29.8236L38.0802 27.1441L34.5433 23.681L31.9198 26.3605ZM38.1082 29.7956C40.6093 27.2411 42.5788 27.2988 43.4075 27.6087L44.7208 24.0962C42.1359 23.1297 38.6631 23.8687 35.4287 27.1721L38.1082 29.7956ZM43.4074 27.6087C44.1892 27.901 45.5 28.9958 45.5 32.0607H49.25C49.25 27.8147 47.2971 25.0595 44.7208 24.0962L43.4074 27.6087ZM25.6757 48.024C28.1468 50.1261 30.7116 52.5299 35 52.5299V48.7799C32.3109 48.7799 30.7791 47.4421 28.1054 45.1677L25.6757 48.024ZM36.875 50.6549V45.7049H33.125V50.6549H36.875ZM35 43.8299C34.6299 43.8299 34.4566 43.7984 34.071 43.5686C33.5369 43.2503 32.7794 42.6451 31.3127 41.3974L28.883 44.2538C30.2817 45.4436 31.2922 46.278 32.1512 46.7899C33.1588 47.3904 34.0039 47.5799 35 47.5799V43.8299ZM38.6873 41.3974C37.2206 42.6451 36.4631 43.2503 35.929 43.5686C35.5434 43.7984 35.3701 43.8299 35 43.8299V47.5799C35.9961 47.5799 36.8412 47.3904 37.8488 46.7899C38.7078 46.278 39.7183 45.4436 41.117 44.2538L38.6873 41.3974ZM35 52.5299C39.2884 52.5299 41.8532 50.1261 44.3243 48.024L41.8945 45.1677C39.2209 47.4421 37.6891 48.7799 35 48.7799V52.5299ZM52.4388 4.79179C47.3072 1.82335 41.349 0.125 35 0.125V3.875C40.6722 3.875 45.9849 5.39065 50.5612 8.03783L52.4388 4.79179ZM35 0.125C15.7391 0.125 0.125 15.7391 0.125 35H3.875C3.875 17.8101 17.8101 3.875 35 3.875V0.125ZM0.125 35C0.125 40.5756 1.43478 45.8504 3.76506 50.5292L7.12177 48.8573C5.04431 44.6862 3.875 39.9824 3.875 35H0.125ZM3.76511 50.5293C4.17509 51.3523 4.27919 52.2276 4.07322 52.9973L7.69577 53.9667C8.16888 52.1987 7.88312 50.3858 7.12173 48.8573L3.76511 50.5293ZM4.07321 52.9974L2.1077 60.3435L5.73027 61.3127L7.69578 53.9666L4.07321 52.9974ZM2.1077 60.3435C0.881462 64.9262 5.07419 69.1182 9.65659 67.8924L8.68752 64.2697C6.89208 64.75 5.25001 63.1076 5.73026 61.3128L2.1077 60.3435ZM9.65668 67.8923L17.0026 65.9269L16.0334 62.3043L8.68743 64.2698L9.65668 67.8923ZM17.0027 65.9268C17.7724 65.7209 18.6478 65.825 19.4712 66.2349L21.1425 62.878C19.6142 62.1171 17.8015 61.8311 16.0333 62.3043L17.0027 65.9268ZM19.4708 66.2348C24.1495 68.5653 29.4244 69.875 35 69.875V66.125C30.0175 66.125 25.3137 64.9557 21.1429 62.8781L19.4708 66.2348ZM35 69.875C54.2608 69.875 69.875 54.2608 69.875 35H66.125C66.125 52.1897 52.1897 66.125 35 66.125V69.875ZM69.875 35C69.875 28.651 68.1766 22.6927 65.2083 17.5612L61.9622 19.4388C64.6093 24.015 66.125 29.3278 66.125 35H69.875Z" fill="#670F1F"/>
							</svg>
						</span>
						<span>
							<div class="main_title">Customer Support</div>
							<div class="sub_title">Call Or WhatsApp 24/7</div>
						</span>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="features_box">
						<span class="feature_svg">
							<svg width="40" height="55" viewBox="0 0 96 72" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path d="M3 23.3077H90.5M23 48.6923H33M13 3H83C88.5229 3 93 7.54603 93 13.1538V58.8462C93 64.454 88.5229 69 83 69H13C7.47715 69 3 64.454 3 58.8462V13.1538C3 7.54603 7.47715 3 13 3Z" stroke="#670F1F" stroke-width="5" stroke-linecap="round" stroke-linejoin="round"/>
							</svg>
						</span>
						<span>
							<div class="main_title">Secure Payment</div>
							<div class="sub_title">We ensure secure payment</div>
						</span>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="features_box features_box_2">
						<span class="feature_svg">
							<svg width="35" height="55" viewBox="0 0 71 70" fill="none" xmlns="http://www.w3.org/2000/svg">
								<path fill-rule="evenodd" clip-rule="evenodd" d="M17.1792 0C13.5674 0 10.2655 2.03444 8.65026 5.2551L1.00674 20.4956C-0.582798 23.665 -0.272287 27.4527 1.81237 30.3228L27.7767 66.069C31.5837 71.3103 39.4163 71.3103 43.2232 66.069L69.1877 30.3228C71.2722 27.4527 71.5827 23.665 69.9935 20.4956L62.3497 5.2551C60.7344 2.03444 57.4329 0 53.8208 0H17.1792ZM14.3362 8.08942C14.8746 7.01584 15.9752 6.33771 17.1792 6.33771H24.9291L20.3883 22.182H7.26839L14.3362 8.08942ZM26.9998 22.182L31.5405 6.33771H39.4595L44.0004 22.182H26.9998ZM43.9104 28.5197H27.0895L35.5 55.7706L43.9104 28.5197ZM41.6314 57.4551L50.5618 28.5197H62.6485L41.6314 57.4551ZM50.6117 22.182L46.0709 6.33771H53.8208C55.0248 6.33771 56.1255 7.01584 56.664 8.08942L63.7318 22.182H50.6117ZM8.35151 28.5197H20.4383L29.3686 57.4551L8.35151 28.5197Z" fill="#670F1F"/>
							</svg>
						</span>
						<span>
							<div class="main_title">Guaranteed products</div>
							<div class="sub_title">All our products are 100% guaranteed</div>
						</span>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<script>
import VueSlickCarousel from "vue-slick-carousel";
import shimmer from "../partials/shimmer";
import sidebar_categories from "../partials/sidebar_categories";

export default {
	name: "slider",
	components: { VueSlickCarousel, shimmer, sidebar_categories },
	data() {
		return {
			slick_settings: {
				dots: true,
				edgeFriction: 0.35,
				infinite: true,
				speed: 500,
				slidesToShow: 1,
				slidesToScroll: 1,
				arrows: false,
				autoplay: true,
				// "fade": true,
				autoplaySpeed: 5000,
			},
		};
	},
	computed: {
		sliders() {
			return this.$store.getters.getSliders;
		},
		banners() {
			return this.$store.getters.getSliderBanners;
		},
	},
	methods: {
    toggleCategory() {
      if (this.defaultCategoryShow == false) {
        document.body.classList.add("sidebar-active");
        this.$store.dispatch("defaultCategoryShow", true);
      } else {
        document.body.classList.remove("sidebar-active");
        this.$store.dispatch("defaultCategoryShow", false);
      }
    },
  },
};
</script>
